/* Ask for new output */
AskNewOutput = "Please enter the new output for this key:";
DeadKeyInstruction = "Press or click the new dead key";
EditDeadKeyPrompt = "Choose an existing dead key state and click Existing, or click New to create a new dead key state";
AskTerminatorMessage = "Enter the terminator for the new dead key, that is, the character output when there is no output from a key in the dead key state";
AskDeadKeyStateNameMessage = "Enter the name for the new dead key state";
DeadKeyClickPrompt = "This is a dead key. Do you want to replace the terminator, enter the dead key state, or convert it to an output key?";
DeadKeyDropPrompt = "This is a dead key. Do you want to replace the terminator, or convert it to an output key?";
AskStateToEnter = "Please choose the dead key state you wish to enter";
NoStatesToEnter = "There are no other dead key states defined in this keyboard layout.";

AskSupplyMissingSpecialKeyOutput = "This keyboard layout is missing output for some special keys. Do you want to add the missing output?";
SpecialKeyOutputExplanation = "This will include the F-keys, and other non-output keys";

YesText = "Yes";
NoText = "No";
CancelText = "Cancel";

DeadKeyRedefinePrompt = "This is already a dead key. Do you want to replace the terminator, enter the dead key state, or change it to enter a new dead key state?";
DeadKeyRedefineButton1 = "Replace Terminator";
DeadKeyRedefineButton2 = "Enter Dead Key State";
DeadKeyRedefineButton3 = "Change Dead Key";
AskNewStateToEnter = "Please choose the new dead key state for this key";
AskNewTerminator = "Enter the new terminator for the dead key state";
AskStateForNewDeadKey = "Enter the name for the dead key state, or choose an existing dead key state";
KeyboardIDExplanationUnicode = "Unicode keyboards should have an ID which is negative, between -32768 and -1";
KeyboardIDExplanationRoman = "Roman keyboards should have an ID which is positive, between 2 and 16383";
KeyboardIDExplanationJapanese = "Japanese keyboards should have an ID which is positive, between 16384 and 16895";
KeyboardIDExplanationSimplifiedChinese = "Simplified Chinese keyboards should have an ID which is positive, between 28672 and 29183";
KeyboardIDExplanationTraditionalChinese = "Traditional Chinese keyboards should have an ID which is positive, between 16896 and 17407";
KeyboardIDExplanationKorean = "Korean keyboards should have an ID which is positive, between 17408 and 17919";
KeyboardIDExplanationCyrillic = "Cyrillic keyboards should have an ID which is positive, between 19456 and 19967";
KeyboardIDExplanationCentralEuropean = "Central European keyboards should have an ID which is positive, between 30720 and 31231";

ModifierPressed = "Down";
ModifierNotPressed = "Up";
ModifierEither = "Down or Up";
ModifierNone = "Both Up";
ModifierLeft = "Left Down, Right Up";
ModifierRight = "Left Up, Right Down";
ModifierLeftRight = "Both Down";
ModifierLeftOpt = "Left Down or Up";
ModifierRightOpt = "Right Down or Up";
ModifierLeftOptRight = "Left Down or Up, Right Down";
ModifierLeftRightOpt = "Left Down, Right Down or Up";
ModifierAny = "Either Down";
ModifierAnyOpt = "Either Down or Up";

AskNewKeyMap = "Choose what kind of new key map to create:";
AskKeyboardNamePrompt = "Give the keyboard a name, which will be the one the user sees in the input menu";
ChooseUnlinkKeyPrompt = "Press or click the key you wish to unlink";
ChooseKeyToCommentPrompt = "Press or click the key you to wish to add a comment";
ChooseStateNameToChangePrompt = "Choose the state name you wish to change";
ChooseActionNameToChangePrompt = "Choose the action name you wish to change";
AskNewDeadKeyStateNamePrompt = "Enter the new name for the dead key state";
DeadKeyStateExistsPrompt = "That state name is already in use. Enter another name for the dead key state";
AskNewActionNamePrompt = "Enter the new name for the action";
ActionExistsPrompt = "That action name is already in use. Enter another name for the action";
AskImportDeadKeyKeyboardPrompt = "Choose the keyboard layout from which to import the dead key state";
AskImportDeadKeyStatePrompt = "Choose the dead key state to import";
AskNameForImportedState = "Choose a name for the dead key state in this keyboard layout";
SwapKeyInstruction = "Press or click one of the keys you wish to swap";
SwapKeySecondInstruction = "Press or click the other key you wish to swap";
CutKeyInstruction = "Press or click the key you wish to cut";
CopyKeyInstruction = "Press or click the key you wish to copy";
PasteKeyInstruction = "Press or click the key where you wish to paste the key on the clipboard";
InvalidKeyCodePrompt = "Key codes must be between 0 and 511";
AskFirstSwapKeyPrompt = "Choose how to specify the first key to swap";
AskSecondSwapKeyPrompt = "Choose how to specify the second key to swap";
AskCutKeyPrompt = "Choose how to specify the key to cut";
AskCopyKeyPrompt = "Choose how to specify the key to copy";
AskPasteKeyPrompt = "Choose how to specify the key which is the target for the paste";
AskIconFileString = "Choose the icon file for the keyboard layout";
AskSaveAsBundleString = "Save bundle as:";
AskSaveinBundleString = "Choose the bundle to save in:";
AskUnlinkKeyPrompt = "Choose how to specify the key to unlink";
ChooseImportFromBundle = "Choose which keyboard layout from this bundle that has the dead key you wish to import";
ChooseKeyboardsFromBundle = "Choose which keyboard layouts from this bundle you wish to open";
AskNewBasedOnPromptString = "Choose the keyboard layout on which you wish to base the new keyboard layout";
AskKeyToEditMessage = "Please choose how to specify the key to enter, either by pressing or clicking, or by numeric key code";
ChooseKeyToEditPrompt = "Press or click the key that you wish to edit";
LabelSet = "Set";
LabelShift = "Shift";
LabelCapsLock = "Caps Lock";
LabelOption = "Option";
LabelCommand = "Command";
LabelControl = "Control";
LabelState = "State";
InitialisingLayoutInfo = "Initialising layout info...";
InitialisingUnicodeInfo = "Loading Unicode database...";
FinishedInitialising = "Initialisation complete";
RedefineTerminatorPrompt = "Please enter the new terminator string for this dead key state:";
AskSpecialFormat = "The standard output for this special key is: %@\nPlease enter the new output for this key:";
AskSpecialFormatStatusBar = "Please enter the new output for this key. The standard output is %@";
AskModifierSetToUnlink = "With the modifier combination you wish to unlink, press any key";
ChangeTerminatorString = "Please enter the new terminator:";
NoDeadKeyStates = "There are no dead key states defined in this keyboard layout.";
AskThemeNamePrompt = "Please give a name for the colour theme";
ConfirmReplaceTheme = "There is already a colour theme with that name. Do you wish to replace it?";
ReplaceLabel = "Replace";
ThemeNameEmpty = "The name of the colour theme must not be empty.";
AskFindKeyStrokePrompt = "Enter the output string for which you want to find the corresponding key stroke:";
ReturnFromKeyStrokeLookupPrompt = " (Press any key to continue)";
TerminatorDisplayString = "Terminator for state ";
NoMatchingKeyStroke = "No key stroke produces this string. ";
ChooseNewDefaultIndex = "You are removing the default modifier combination. Please choose a new default index.";
AskRepairInvalidKeyboardID = "The keyboard ID was invalid for the script specified in the keyboard layout. Do you want to fix this?";
InvalidKeyboarIDExplanation = "An invalid ID will likely lead to the keyboard layout not working correctly.";
GradientRadialOuterLabel = "Outer";
GradientRadialInnerLabel = "Inner";
GradientLinearOuterLabel = "Top";
GradientLinearInnerLabel = "Bottom";
GradientNoneOuterLabel = "Frame";
GradientNoneInnerLabel = "Fill";
